html {
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

html,
body {
    margin: 0;
    padding: 15px 0;
    width: 100%;
    max-height: 1920px;
}

body {
    font-family: 'Coda', cursive;
    background-image: url('../img/Clouds.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.title {
    padding-bottom: 5px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 600;
    font-size: 3em;
}


/*
 * Styles for the Score Panel
 */

.score-panel {
    width: 650px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    margin-bottom: 10px;
    font-weight: 600;
    font-size: 1.1em;
    padding-bottom: 10px;
}

.score-panel .rating-title  {
     margin-right: -10px; 
}

.stars {
    width: 12%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
}

.score-panel .stars {
    margin: 0 20px;
    padding: 0;
}

.star-gold {
    color: gold;
}

.star-silver {
    color: silver;
}

.star-bronze {
    color: #cd7f32;
}

.score-panel .stars li {
    list-style: none;
    display: inline-block;
}

.timer {
    width: 200px;
    text-align: center;

}

i.fa-repeat{
    text-align: center;
    width: 42px;
    height: 24px;
    cursor: pointer;
}


/*
 * Styles for the deck of cards
 */

.deck {
    width: 500px;
    min-height: 500px;
    background: linear-gradient(165deg, #42a6ff 0%, #9568d8 85%);
    padding: 32px;
    border-radius: 10px;
    box-shadow: 12px 15px 20px 0 rgba(46, 61, 73, 0.5);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin: 0 0 3em;
}

.deck .card {
    height: 105px;
    width: 105px;
    background: #2e3d49;
    font-size: 0;
    color: #ffffff;
    border-radius: 8px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 5px 2px 20px 0 rgba(46, 61, 73, 0.5);
}

.deck .card.open {
    background: #02b3e4;
    cursor: default;
}

.deck .card.show {
    font-size: 33px;
}

.deck .card.disable {
    pointer-events: none;
    opacity: 0.9;
}

.deck .card.match {
    cursor: default;
    pointer-events: none;
    background: #12fd73;
    font-size: 33px;
    box-shadow: 12px 12px 12px 0 rgba(46, 61, 73, 0.5);
}

.deck .card.noMatch {
  background: #ff5050;
}


/*
 * Styles for the modal
 */

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    padding: 0 10%;
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.10); /* Black w/ opacity */
}

.modal-header {
    width: 100%;
    background-color: #42a6ff;
    color: white;
}

.header-text {
    width: 100%;
    padding: 14px 0 5px;
    text-align: center;
}

.modal-body p {
    font-size: 1.2em;
    line-height: 40px;
    margin: 9px 0 9px;
}

.modal-footer {
    background-color: #9568d8;
    color: white;
}

.modal-content {
    position: relative;
    background-color: #fefefe;
    margin: auto;
    padding: 0;
    border: 1px solid #888;
    width: 80%;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    animation-name: animatetop;
    animation-duration: 0.4s
}

.close {
    color: #f8f8ff;
    float: right;
    font-size: 40px;
    font-weight: bold;
    float: right;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


/*
 * Modal animation
 */

@keyframes animatetop {
    from {top: -300px; opacity: 0
    }
    to {top: 0; opacity: 1
}